
QGIS Application - Bug report #6213

scale dependent visibility limits should be included 

2012-08-16 06:54 AM - Marco Bernasocchi

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15526

Description

I wanted to have LK50 (national map 1:50000) visible only from scale

1:50000 and if it is zoomed in then I want to see LK25.

So I set the maps to be scale dependent visible as here:

LK25 min:0 Max 50000

LK50 min: 50000 Max 1000000000

the concept works but there is a detail (matter of changing a < to <= or

so) that I think it is not super intuitive.

If I select the fixed scale of 1:50000 then onlx LK25 is shown. I would

expect either both or only LK50 to be visible.

details here: http://lists.osgeo.org/pipermail/qgis-developer/2012-August/021754.html

Associated revisions

Revision 73fcb662 - 2012-09-21 09:45 PM - Magnus Homann

Used QsgScaleComboBox in scale based visibility. Also fix #6213

History

#1 - 2012-08-18 02:16 PM - Magnus Homann

- Target version set to Version 2.0.0

- Assignee set to Magnus Homann

#2 - 2012-08-20 11:34 AM - Larry Shaffer

- File scale-boundaries-included_patch.diff added

Marco,

Did the patch I supplied in that thread not work? (Attached again here)

#3 - 2012-09-21 12:46 PM - Magnus Homann

- Status changed from Open to Closed
http://lists.osgeo.org/pipermail/qgis-developer/2012-August/021754.html


Fixed in changeset commit:"73fcb6625789055bf67225d1c3d44a1872cf5c2c".

Made it "more than or equal to" and "less than". Also added QgsScaleComboBox for selection of scales.

Files

scale-boundaries-included_patch.diff 695 Bytes 2012-08-20 Larry Shaffer
